<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2024 Workiva-->
<!--r:febc4721-3c76-4338-b171-2f261bf71587,g:4957c916-8aa9-441a-80d4-324012f587cf-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.tomtom.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="simple" xlink:href="tom-2023-12-31.xsd#StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement"/>
  <link:calculationLink xlink:role="http://www.tomtom.com/role/StatementofcomprehensiveincomeprofitorlossbyfunctionofexpenseStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_8021d2e1-24d9-43e5-8040-17cff64bb740" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_a7b802d4-972f-4ed4-936d-f6fd28b25857" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_8021d2e1-24d9-43e5-8040-17cff64bb740" xlink:to="loc_ifrs-full_ProfitLossBeforeTax_a7b802d4-972f-4ed4-936d-f6fd28b25857" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_73a433b3-6fa9-4608-9f9e-8f0767e8c705" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLoss_8021d2e1-24d9-43e5-8040-17cff64bb740" xlink:to="loc_ifrs-full_IncomeTaxExpenseContinuingOperations_73a433b3-6fa9-4608-9f9e-8f0767e8c705" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_01ce13cd-9d6a-4c91-8e5c-c1f9a26ea78a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_460a77ca-c898-44a5-893a-515b83c485dd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_01ce13cd-9d6a-4c91-8e5c-c1f9a26ea78a" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_460a77ca-c898-44a5-893a-515b83c485dd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_cb1eb04c-4863-46f3-bc1d-287c7b1af9a5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_01ce13cd-9d6a-4c91-8e5c-c1f9a26ea78a" xlink:to="loc_ifrs-full_FinanceIncomeCost_cb1eb04c-4863-46f3-bc1d-287c7b1af9a5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense_4a5b0491-a5d0-4359-9e9b-2db10a607bc5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:loc xlink:type="locator" xlink:label="loc_tom_ResearchAndDevelopmentExpenseGeographical_929af4d0-1f66-4dd8-a508-ec40efbb1380" xlink:href="tom-2023-12-31.xsd#tom_ResearchAndDevelopmentExpenseGeographical"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OperatingExpense_4a5b0491-a5d0-4359-9e9b-2db10a607bc5" xlink:to="loc_tom_ResearchAndDevelopmentExpenseGeographical_929af4d0-1f66-4dd8-a508-ec40efbb1380" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_tom_ResearchAndDevelopmentExpenseApplication_42f1246e-d220-46a8-a1d1-07321c568582" xlink:href="tom-2023-12-31.xsd#tom_ResearchAndDevelopmentExpenseApplication"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OperatingExpense_4a5b0491-a5d0-4359-9e9b-2db10a607bc5" xlink:to="loc_tom_ResearchAndDevelopmentExpenseApplication_42f1246e-d220-46a8-a1d1-07321c568582" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_SalesAndMarketingExpense_5c17043a-7365-4a5f-9e7f-a99fa356e378" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SalesAndMarketingExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OperatingExpense_4a5b0491-a5d0-4359-9e9b-2db10a607bc5" xlink:to="loc_ifrs-full_SalesAndMarketingExpense_5c17043a-7365-4a5f-9e7f-a99fa356e378" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GeneralAndAdministrativeExpense_d371de3d-e275-456d-8b85-798d129cf31a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GeneralAndAdministrativeExpense"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OperatingExpense_4a5b0491-a5d0-4359-9e9b-2db10a607bc5" xlink:to="loc_ifrs-full_GeneralAndAdministrativeExpense_d371de3d-e275-456d-8b85-798d129cf31a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost_2e311df5-b2f0-4fe7-a310-699c516b6d81" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromInterest_19842ec6-eeab-4662-b81d-1d47c4644f76" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromInterest"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_2e311df5-b2f0-4fe7-a310-699c516b6d81" xlink:to="loc_ifrs-full_RevenueFromInterest_19842ec6-eeab-4662-b81d-1d47c4644f76" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestExpense_47b8b5aa-cd2d-4c8a-8aca-e537c2d6c745" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_2e311df5-b2f0-4fe7-a310-699c516b6d81" xlink:to="loc_ifrs-full_InterestExpense_47b8b5aa-cd2d-4c8a-8aca-e537c2d6c745" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherFinanceIncomeCost_0877cdb1-0d0d-426d-b7f0-da17838469ca" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherFinanceIncomeCost"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_FinanceIncomeCost_2e311df5-b2f0-4fe7-a310-699c516b6d81" xlink:to="loc_ifrs-full_OtherFinanceIncomeCost_0877cdb1-0d0d-426d-b7f0-da17838469ca" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_cc8cd2b1-c22c-41d4-b7a6-918b4bf652cd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_4cc3ba91-e87d-40a2-a253-478caaa17501" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_cc8cd2b1-c22c-41d4-b7a6-918b4bf652cd" xlink:to="loc_ifrs-full_GrossProfit_4cc3ba91-e87d-40a2-a253-478caaa17501" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense_7a6e6493-9ab0-49f2-a25c-6b540998f8c4" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_cc8cd2b1-c22c-41d4-b7a6-918b4bf652cd" xlink:to="loc_ifrs-full_OperatingExpense_7a6e6493-9ab0-49f2-a25c-6b540998f8c4" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_GrossProfit_c327a735-efc6-49d0-ba28-10e4b219a59c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GrossProfit"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RevenueFromContractsWithCustomers_6ffee3a2-3c62-48a9-b87f-173b77a8a29f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromContractsWithCustomers"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c327a735-efc6-49d0-ba28-10e4b219a59c" xlink:to="loc_ifrs-full_RevenueFromContractsWithCustomers_6ffee3a2-3c62-48a9-b87f-173b77a8a29f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CostOfSales_1223a4d5-9e99-42b0-bb8e-48c163a3fc8f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CostOfSales"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_GrossProfit_c327a735-efc6-49d0-ba28-10e4b219a59c" xlink:to="loc_ifrs-full_CostOfSales_1223a4d5-9e99-42b0-bb8e-48c163a3fc8f" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.tomtom.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="simple" xlink:href="tom-2023-12-31.xsd#StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement"/>
  <link:calculationLink xlink:role="http://www.tomtom.com/role/StatementofcomprehensiveincomeOCIcomponentspresentednetoftaxStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_5aa740ac-17c2-40d5-97a9-0a75046c7e8e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_cbcd4bcc-5351-47e2-b8d6-6008c805f5d2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_5aa740ac-17c2-40d5-97a9-0a75046c7e8e" xlink:to="loc_ifrs-full_ProfitLoss_cbcd4bcc-5351-47e2-b8d6-6008c805f5d2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_eed27e0b-418c-49d0-a0b2-5cd6a37ac9e8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_5aa740ac-17c2-40d5-97a9-0a75046c7e8e" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_eed27e0b-418c-49d0-a0b2-5cd6a37ac9e8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_c2f1b5c6-f774-45fb-b03b-4538ef5b9fb2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_00bfac30-df0a-408f-a69f-9ab63c10b096" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_c2f1b5c6-f774-45fb-b03b-4538ef5b9fb2" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_00bfac30-df0a-408f-a69f-9ab63c10b096" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments_b40eca86-a9a1-4758-b434-5f72c1ec28de" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_c2f1b5c6-f774-45fb-b03b-4538ef5b9fb2" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments_b40eca86-a9a1-4758-b434-5f72c1ec28de" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_c0bf4c30-c126-4c6a-a711-319fb9986748" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_c2f1b5c6-f774-45fb-b03b-4538ef5b9fb2" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_c0bf4c30-c126-4c6a-a711-319fb9986748" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.tomtom.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="simple" xlink:href="tom-2023-12-31.xsd#StatementoffinancialpositioncurrentnoncurrentStatement"/>
  <link:calculationLink xlink:role="http://www.tomtom.com/role/StatementoffinancialpositioncurrentnoncurrentStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Goodwill_96fdc0d3-0218-469d-aae5-a590f9457cec" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_ifrs-full_Goodwill_96fdc0d3-0218-469d-aae5-a590f9457cec" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_f2b8d0b1-0406-4035-9069-a58846fa38f5" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_ifrs-full_IntangibleAssetsOtherThanGoodwill_f2b8d0b1-0406-4035-9069-a58846fa38f5" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PropertyPlantAndEquipment_cd0351b6-e541-42a4-a61d-bebc4ff67bde" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_ifrs-full_PropertyPlantAndEquipment_cd0351b6-e541-42a4-a61d-bebc4ff67bde" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_e2a257e5-85a4-450e-a9ef-9d486cccd0e8" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_ifrs-full_RightofuseAssetsThatDoNotMeetDefinitionOfInvestmentProperty_e2a257e5-85a4-450e-a9ef-9d486cccd0e8" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_tom_NonCurrentCapitalizedContractCost_38b65b95-814a-4ee4-a6db-ac778db5e938" xlink:href="tom-2023-12-31.xsd#tom_NonCurrentCapitalizedContractCost"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_tom_NonCurrentCapitalizedContractCost_38b65b95-814a-4ee4-a6db-ac778db5e938" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome_d24a4e5b-baf8-46d5-9d1c-7c4091d229c2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_ifrs-full_NoncurrentInvestmentsInEquityInstrumentsDesignatedAtFairValueThroughOtherComprehensiveIncome_d24a4e5b-baf8-46d5-9d1c-7c4091d229c2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxAssets_38d3cb86-ffc1-4c0a-a8d5-83627ab73f60" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentAssets_5a476dc2-c4d5-4f66-8c04-ada6b78d2fb7" xlink:to="loc_ifrs-full_DeferredTaxAssets_38d3cb86-ffc1-4c0a-a8d5-83627ab73f60" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Assets_cf4b1525-2a91-4440-acfa-7d6051fa9d39" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentAssets_56edab0a-1594-442b-8120-97331e801d67" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_cf4b1525-2a91-4440-acfa-7d6051fa9d39" xlink:to="loc_ifrs-full_NoncurrentAssets_56edab0a-1594-442b-8120-97331e801d67" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_78e226dc-df5e-4d0a-ab0d-46e65c5c73ea" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Assets_cf4b1525-2a91-4440-acfa-7d6051fa9d39" xlink:to="loc_ifrs-full_CurrentAssets_78e226dc-df5e-4d0a-ab0d-46e65c5c73ea" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAndLiabilities_f84a465a-6caa-47d8-9a2b-e7f6f3f5ceda" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_c4e6bf24-498b-4f3e-8494-83fe66be6b22" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_f84a465a-6caa-47d8-9a2b-e7f6f3f5ceda" xlink:to="loc_ifrs-full_Equity_c4e6bf24-498b-4f3e-8494-83fe66be6b22" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_dcd90823-7674-410d-8e35-015f07d32f5c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_f84a465a-6caa-47d8-9a2b-e7f6f3f5ceda" xlink:to="loc_ifrs-full_NoncurrentLiabilities_dcd90823-7674-410d-8e35-015f07d32f5c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_75f3b12d-d395-4d0c-96e1-9714dfa3f42f" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_EquityAndLiabilities_f84a465a-6caa-47d8-9a2b-e7f6f3f5ceda" xlink:to="loc_ifrs-full_CurrentLiabilities_75f3b12d-d395-4d0c-96e1-9714dfa3f42f" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLiabilities_26d7e9ed-6da2-4f09-b1c0-047662adabaa" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentLeaseLiabilities_3b076296-4966-419a-80c4-d0d6615e332d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_26d7e9ed-6da2-4f09-b1c0-047662adabaa" xlink:to="loc_ifrs-full_NoncurrentLeaseLiabilities_3b076296-4966-419a-80c4-d0d6615e332d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DeferredTaxLiabilities_7f2cbb73-8d30-4657-ac36-caffffadbb2d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_26d7e9ed-6da2-4f09-b1c0-047662adabaa" xlink:to="loc_ifrs-full_DeferredTaxLiabilities_7f2cbb73-8d30-4657-ac36-caffffadbb2d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentProvisions_f7ea5feb-4d32-43af-8b90-22725ebf0440" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisions"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_26d7e9ed-6da2-4f09-b1c0-047662adabaa" xlink:to="loc_ifrs-full_NoncurrentProvisions_f7ea5feb-4d32-43af-8b90-22725ebf0440" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_NoncurrentContractLiabilities_f5e9040b-8c2e-4625-a9a5-12c80a5cb9cd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentContractLiabilities"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_NoncurrentLiabilities_26d7e9ed-6da2-4f09-b1c0-047662adabaa" xlink:to="loc_ifrs-full_NoncurrentContractLiabilities_f5e9040b-8c2e-4625-a9a5-12c80a5cb9cd" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers_73d6a114-59d9-42ce-ab47-243aa1a79256" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers_73d6a114-59d9-42ce-ab47-243aa1a79256" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentLeaseLiabilities_599e45f3-f65b-469d-9544-2d8cd2bd04b0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLeaseLiabilities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_ifrs-full_CurrentLeaseLiabilities_599e45f3-f65b-469d-9544-2d8cd2bd04b0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentProvisions_6f1a9dbd-732f-434c-81b6-3ab01cbed24d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentProvisions"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_ifrs-full_CurrentProvisions_6f1a9dbd-732f-434c-81b6-3ab01cbed24d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_tom_CurrentDeferredRevenue_6e449c60-5fc2-495b-a670-427b545c76ab" xlink:href="tom-2023-12-31.xsd#tom_CurrentDeferredRevenue"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_tom_CurrentDeferredRevenue_6e449c60-5fc2-495b-a670-427b545c76ab" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_tom_OtherContractRelatedLiabilities_b4a12f28-1bbc-4880-a845-5a918c39cd83" xlink:href="tom-2023-12-31.xsd#tom_OtherContractRelatedLiabilities"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_tom_OtherContractRelatedLiabilities_b4a12f28-1bbc-4880-a845-5a918c39cd83" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_5fd967cd-4ac5-404e-a813-a0a34019a59a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_ifrs-full_CurrentTaxLiabilitiesCurrent_5fd967cd-4ac5-404e-a813-a0a34019a59a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities_cbe5339b-869b-4ed2-8b76-ee367e19c821" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentLiabilities_a9546640-0219-489d-9f66-d7e42e807629" xlink:to="loc_ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities_cbe5339b-869b-4ed2-8b76-ee367e19c821" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Equity_3ad38ba3-d5d3-4cb8-bb20-9f0c5abf628a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_bf1f80e2-2667-4ce2-8ce6-09c9e9adbfac" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_Equity_3ad38ba3-d5d3-4cb8-bb20-9f0c5abf628a" xlink:to="loc_ifrs-full_EquityAttributableToOwnersOfParent_bf1f80e2-2667-4ce2-8ce6-09c9e9adbfac" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_Inventories_6d20a3af-bc51-4a9d-b8b9-e12580522517" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_ifrs-full_Inventories_6d20a3af-bc51-4a9d-b8b9-e12580522517" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentTradeReceivables_805313a8-72e1-4e02-b4c1-8a4a40285a76" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_ifrs-full_CurrentTradeReceivables_805313a8-72e1-4e02-b4c1-8a4a40285a76" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentContractAssets_4d3689c0-c549-4615-abbb-35cc160ef871" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentContractAssets"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_ifrs-full_CurrentContractAssets_4d3689c0-c549-4615-abbb-35cc160ef871" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_tom_CurrentCapitalizedContractCost_a0b15d23-c125-4e1c-83c3-72801a6401b1" xlink:href="tom-2023-12-31.xsd#tom_CurrentCapitalizedContractCost"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_tom_CurrentCapitalizedContractCost_a0b15d23-c125-4e1c-83c3-72801a6401b1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets_5f52f819-1cfd-4b98-8da9-225e26107313" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_ifrs-full_CurrentPrepaymentsAndOtherCurrentAssets_5f52f819-1cfd-4b98-8da9-225e26107313" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShorttermDepositsNotClassifiedAsCashEquivalents_406f73e9-7110-47b5-9ca3-bc7ba205d0b2" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShorttermDepositsNotClassifiedAsCashEquivalents"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_ifrs-full_ShorttermDepositsNotClassifiedAsCashEquivalents_406f73e9-7110-47b5-9ca3-bc7ba205d0b2" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalents_3af94de5-c2e3-4236-9a78-ed91af40bef6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CurrentAssets_423bd584-c624-4b2b-9e8e-24ddd0af7222" xlink:to="loc_ifrs-full_CashAndCashEquivalents_3af94de5-c2e3-4236-9a78-ed91af40bef6" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.tomtom.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="simple" xlink:href="tom-2023-12-31.xsd#StatementofcashflowsindirectmethodStatement"/>
  <link:calculationLink xlink:role="http://www.tomtom.com/role/StatementofcashflowsindirectmethodStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3b2657b2-c228-41f8-9bfe-1c2a11e94ea1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_c12980b4-fe28-4908-8e7a-5be7cbe4c766" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3b2657b2-c228-41f8-9bfe-1c2a11e94ea1" xlink:to="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_c12980b4-fe28-4908-8e7a-5be7cbe4c766" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_a1c2518a-0b14-4bef-8493-a56f00ccaff6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3b2657b2-c228-41f8-9bfe-1c2a11e94ea1" xlink:to="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_a1c2518a-0b14-4bef-8493-a56f00ccaff6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DividendsReceivedClassifiedAsInvestingActivities_c83e4316-1fd3-4ced-a671-b1f20b77b833" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3b2657b2-c228-41f8-9bfe-1c2a11e94ea1" xlink:to="loc_ifrs-full_DividendsReceivedClassifiedAsInvestingActivities_c83e4316-1fd3-4ced-a671-b1f20b77b833" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_d8794c0c-79a1-4e2e-a720-6c963227b63a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3b2657b2-c228-41f8-9bfe-1c2a11e94ea1" xlink:to="loc_ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInShorttermDepositsAndInvestments_d8794c0c-79a1-4e2e-a720-6c963227b63a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_9ab9884b-562c-4763-bf2b-5aea758e57b6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_3b2657b2-c228-41f8-9bfe-1c2a11e94ea1" xlink:to="loc_ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_9ab9884b-562c-4763-bf2b-5aea758e57b6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_401fab81-0379-4cfa-bcbf-29153730fd7c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_32047fb0-b866-4241-9d4e-b9da162311c6" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:calculationArc order="1" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_401fab81-0379-4cfa-bcbf-29153730fd7c" xlink:to="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_32047fb0-b866-4241-9d4e-b9da162311c6" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProceedsFromIssueOfOrdinaryShares_abaf6b1a-7951-49f2-bdf4-618744b78520" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssueOfOrdinaryShares"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_401fab81-0379-4cfa-bcbf-29153730fd7c" xlink:to="loc_ifrs-full_ProceedsFromIssueOfOrdinaryShares_abaf6b1a-7951-49f2-bdf4-618744b78520" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_c6df7d53-1bb1-47d1-930e-f6584540faf1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_401fab81-0379-4cfa-bcbf-29153730fd7c" xlink:to="loc_ifrs-full_PaymentsToAcquireOrRedeemEntitysShares_c6df7d53-1bb1-47d1-930e-f6584540faf1" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_a3de2d4f-6398-43b0-aced-c8916234e8bd" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_97ef7f8e-f2d0-4f53-8246-4b95105a53ad" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_a3de2d4f-6398-43b0-aced-c8916234e8bd" xlink:to="loc_ifrs-full_InterestReceivedClassifiedAsOperatingActivities_97ef7f8e-f2d0-4f53-8246-4b95105a53ad" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_4edbeecb-1e53-4926-8aa7-ef60fbc49a38" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities"/>
    <link:calculationArc order="2" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_a3de2d4f-6398-43b0-aced-c8916234e8bd" xlink:to="loc_ifrs-full_InterestPaidClassifiedAsOperatingActivities_4edbeecb-1e53-4926-8aa7-ef60fbc49a38" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_ae3c3e66-71f6-455a-be30-25fe5f828d2d" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:calculationArc order="3" weight="-1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_a3de2d4f-6398-43b0-aced-c8916234e8bd" xlink:to="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_ae3c3e66-71f6-455a-be30-25fe5f828d2d" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_367bd9c0-74e1-4154-85ad-c846294a711e" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_a3de2d4f-6398-43b0-aced-c8916234e8bd" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperations_367bd9c0-74e1-4154-85ad-c846294a711e" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_2183d1f4-9040-413f-b4ca-50d01adafe85" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_ProfitLossFromOperatingActivities_2183d1f4-9040-413f-b4ca-50d01adafe85" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_bb40d022-b807-4e1b-a3ac-b86ef6a84861" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains_bb40d022-b807-4e1b-a3ac-b86ef6a84861" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_b4813ed8-638d-4df9-8d62-a06b2b12a647" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense_b4813ed8-638d-4df9-8d62-a06b2b12a647" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForProvisions_ebb6b485-2317-464e-9c82-02e232c36f1c" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions"/>
    <link:calculationArc order="4" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForProvisions_ebb6b485-2317-464e-9c82-02e232c36f1c" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForSharebasedPayments_75ab2bce-4933-4214-9070-22d39608daee" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForSharebasedPayments"/>
    <link:calculationArc order="5" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForSharebasedPayments_75ab2bce-4933-4214-9070-22d39608daee" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherAdjustmentsForNoncashItems_f3aa30a4-8899-4fd4-9e2f-a0ebbb82bf7b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems"/>
    <link:calculationArc order="6" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_OtherAdjustmentsForNoncashItems_f3aa30a4-8899-4fd4-9e2f-a0ebbb82bf7b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_ee12a5f0-d954-450d-b292-88bb4178da2b" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories"/>
    <link:calculationArc order="7" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInInventories_ee12a5f0-d954-450d-b292-88bb4178da2b" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_96319009-c3a3-48b4-8b73-aa4560292305" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables"/>
    <link:calculationArc order="8" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_96319009-c3a3-48b4-8b73-aa4560292305" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_1e592202-a73d-422c-b0e0-d0205317cd1a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
    <link:calculationArc order="9" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations_4752e061-94ae-4340-982e-e00f39917e55" xlink:to="loc_ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities_1e592202-a73d-422c-b0e0-d0205317cd1a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_7902b16a-345c-4aab-b1c8-84b5397a9b51" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9048b668-4c87-4ba5-b791-4eee96cd37c7" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_7902b16a-345c-4aab-b1c8-84b5397a9b51" xlink:to="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_9048b668-4c87-4ba5-b791-4eee96cd37c7" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_12e509e6-1eb3-406b-b467-0503c2c6ade0" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_7902b16a-345c-4aab-b1c8-84b5397a9b51" xlink:to="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_12e509e6-1eb3-406b-b467-0503c2c6ade0" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_03c899f3-4a21-4776-a440-3fd6eb457707" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_7902b16a-345c-4aab-b1c8-84b5397a9b51" xlink:to="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_03c899f3-4a21-4776-a440-3fd6eb457707" xlink:type="arc"/>
  </link:calculationLink>
  <link:roleRef roleURI="http://www.tomtom.com/role/StatementofchangesinequityStatement" xlink:type="simple" xlink:href="tom-2023-12-31.xsd#StatementofchangesinequityStatement"/>
  <link:calculationLink xlink:role="http://www.tomtom.com/role/StatementofchangesinequityStatement" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ComprehensiveIncome_4d56baa9-f5f7-4ef7-ba74-dfd5990ca4a1" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ProfitLoss_b0fd7079-ea77-4dd8-804f-d31ea36f8149" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_4d56baa9-f5f7-4ef7-ba74-dfd5990ca4a1" xlink:to="loc_ifrs-full_ProfitLoss_b0fd7079-ea77-4dd8-804f-d31ea36f8149" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_e50632e8-120d-4fb2-9492-b41358bf9e6a" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_ComprehensiveIncome_4d56baa9-f5f7-4ef7-ba74-dfd5990ca4a1" xlink:to="loc_ifrs-full_OtherComprehensiveIncome_e50632e8-120d-4fb2-9492-b41358bf9e6a" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_b53f06f2-4682-4d95-bb31-26f62d10ec15" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_178f5d6c-5954-4ce1-aa2a-3614de54e758" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation"/>
    <link:calculationArc order="1" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_b53f06f2-4682-4d95-bb31-26f62d10ec15" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation_178f5d6c-5954-4ce1-aa2a-3614de54e758" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_689b2f5f-24ad-44bf-b524-f19346dac200" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"/>
    <link:calculationArc order="2" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_b53f06f2-4682-4d95-bb31-26f62d10ec15" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_689b2f5f-24ad-44bf-b524-f19346dac200" xlink:type="arc"/>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments_702ea658-1acd-48dc-9509-3628dbfb7e21" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments"/>
    <link:calculationArc order="3" weight="1.0" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_b53f06f2-4682-4d95-bb31-26f62d10ec15" xlink:to="loc_ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments_702ea658-1acd-48dc-9509-3628dbfb7e21" xlink:type="arc"/>
  </link:calculationLink>
</link:linkbase>
